/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package uploadartgui.utilidades;

import java.io.*;
import java.util.Calendar;
import org.apache.commons.net.ftp.FTPClient;
import org.apache.commons.net.ftp.FTP;
/**
 *
 * @author soporte
 */
public class FTPEngine {
    private FTPEngine(){

    }

    public static void uploadFile(File f, String host, String user, String pass, String path){
        FTPClient client = new FTPClient();
        try{
            client.connect(host);
            boolean login = client.login(user, pass);
            if(login)
                System.out.println("Connectado");
            else
                System.out.println("No se pudo conectar al servidor");

            /* Cambiar de directorio */
            if(client.changeWorkingDirectory(path))
                System.out.println("Cambio de directorio");
            else
                System.out.println("Imposible cambiar directorio");

            Calendar now = Calendar.getInstance();
            String dirname = now.get(Calendar.DAY_OF_MONTH) + "-" + (now.get(Calendar.MONTH)+1) + "-" + now.get(Calendar.YEAR);
            
            /* Crear directorio */
            if(client.doCommand("MKD " + dirname,null))
                System.out.println("Directorio creado");
            else
                System.out.println("WARNING: No se pudo crear directorio");

            if(client.changeWorkingDirectory(dirname + "/"))
                System.out.println("Cambio de directorio");
            else
                System.out.println("Imposible cambiar directorio");

            /* Subir imagen */
            FileInputStream fis = new FileInputStream(f);
            client.setFileType(FTP.BINARY_FILE_TYPE);
            if(client.storeFile(f.getName(), fis)){
                System.out.println("Archivo transferido...");
            }else
                System.out.println("Falló la transferencia...");

            client.logout();
            System.out.print("Saliendo...");
            client.disconnect();
            System.out.println("OK");
        }catch(IOException ioe){
            ioe.printStackTrace();
        }
    }
}
