/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package uploadartgui;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.UnsupportedEncodingException;
import java.net.Socket;
import java.net.URLDecoder;
import java.net.URLEncoder;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Mussio Jair Cárdenas Palomo
 */
public class Joomla {

    private String username;
    private String password;
    private String url;
    private String host;
    private String curCookies;
    private String curMD5;
    
    public Joomla(String url, String username, String password){
        if(url.charAt(url.length()-1) != '/'){
            url += "/";
        }

        this.url = url;
        this.host = this.url.replace("http://","");

        if(String.valueOf(this.host.charAt(this.host.length()-1)).equals("/")){
            this.host = this.host.substring(0,this.host.length()-1);
        }
        this.username = username;
        this.password = password;
    }

    public String getHost(){
        return this.host;
    }

    public void login(){
        try{
            Socket s = new Socket(host,80);
            BufferedWriter wr = new BufferedWriter(new OutputStreamWriter(s.getOutputStream()));
            wr.write("GET /administrator/index.php HTTP/1.1\r\n");
            wr.write("Host: " + host + "\r\n");
            wr.write("Connection: close\r\n");
            wr.write("\r\n");
            wr.flush();

            BufferedReader br = new BufferedReader(new InputStreamReader(s.getInputStream()));
            String linea = "", html = "";
            while((linea = br.readLine()) != null){
                //System.out.println(linea);
                html += linea + "\n";
            }
            this.curCookies = getCookie(html);
            this.curMD5 = getMD5(html);
            System.out.println("MD5: " + getMD5(html));
            
            String postdata = "username="+this.username+"&passwd="+this.password+"&lang=&task=login&" + this.curMD5 + "=1";
            s = new Socket(host,80);
            wr = new BufferedWriter(new OutputStreamWriter(s.getOutputStream()));
            wr.write("POST /administrator/index.php?option=com_login HTTP/1.1\r\n");
            wr.write("Host: " + host + "\r\n");
            wr.write("Content-Type: application/x-www-form-urlencoded\r\n");
            wr.write("Referer: "+this.url+"/administrator/index.php?option=com_content\r\n");
            wr.write("Content-Length: "+postdata.length()+"\r\n");
            wr.write("Cookie: " + this.curCookies + "\r\n");
            wr.write("Connection: close\r\n");
            wr.write("\r\n");
            wr.write(postdata);
            wr.flush();

            br = new BufferedReader(new InputStreamReader(s.getInputStream()));
            linea = ""; html = "";
            while((linea = br.readLine()) != null){
                html += linea + "\n";
            }
            System.out.println(html);
            this.curCookies = getCookie(html);
            System.out.println("MD5: " + getMD5(html));
            /* Ingreso al panel */

            s = new Socket(host,80);
            wr = new BufferedWriter(new OutputStreamWriter(s.getOutputStream()));
            wr.write("GET /administrator/index.php HTTP/1.1\r\n");
            wr.write("Host: "+host+"\r\n");
            wr.write("Cookie: " + this.curCookies + " \r\n");
            wr.write("Connection: close\r\n");
            wr.write("\r\n");
            wr.flush();

            br = new BufferedReader(new InputStreamReader(s.getInputStream()));
            linea = ""; html = "";
            while((linea = br.readLine()) != null){
                html += linea + "\n";
            }
            System.out.println("Login Exitoso :: MD5: " + getMD5(html));
            this.curMD5 = getMD5(html);
            wr.close();
            br.close();
        }catch(IOException ioe){
            ioe.printStackTrace();
        }
    }

    public void logout(){
        /* Logout */
        try{
            Socket s = new Socket(this.host,80);
            BufferedWriter wr = new BufferedWriter(new OutputStreamWriter(s.getOutputStream()));
            wr.write("GET /administrator/index.php?option=com_login&task=logout HTTP/1.1\r\n");
            wr.write("Host: " + this.host + "\r\n");
            wr.write("Cookie: " + this.curCookies + " \r\n");
            wr.write("Connection: close\r\n");
            wr.write("\r\n");
            wr.flush();

            BufferedReader br = new BufferedReader(new InputStreamReader(s.getInputStream()));
            String linea = "", html = "";
            while((linea = br.readLine()) != null){
                html += linea + "\n";
            }
            //System.out.println(html);

            s = new Socket(host,80);
            wr = new BufferedWriter(new OutputStreamWriter(s.getOutputStream()));
            wr.write("GET /administrator/index.php?option=com_login HTTP/1.1\r\n");
            wr.write("Host: " + host + "\r\n");
            wr.write("Connection: close\r\n");
            wr.write("\r\n");
            wr.flush();

            br = new BufferedReader(new InputStreamReader(s.getInputStream()));
            linea = ""; html = "";
            while((linea = br.readLine()) != null){
                html += linea + "\n";
            }
        }catch(IOException ioe){
            ioe.printStackTrace();
        }
    }

    public void refreshSession(){
        /* Ingreso al panel para refrescar la sesión y actualizar la cookie */
        try{
            Socket s = new Socket(host,80);
            BufferedWriter wr = new BufferedWriter(new OutputStreamWriter(s.getOutputStream()));
            wr.write("GET /administrator/index.php HTTP/1.1\r\n");
            wr.write("Host: "+host+"\r\n");
            wr.write("Cookie: " + this.curCookies + " \r\n");
            wr.write("Connection: close\r\n");
            wr.write("\r\n");
            wr.flush();

            BufferedReader br = new BufferedReader(new InputStreamReader(s.getInputStream()));
            String linea = "", html = "";
            while((linea = br.readLine()) != null){
                html += linea + "\n";
            }

            this.curCookies = getCookie(html);
            this.curMD5 = getMD5(html);
            
        }catch(IOException ioe){
            ioe.printStackTrace();
        }
    }

    public void insertContent(String titulo, String autor, String imagen, String contenido, String date,int cid, int sid, boolean isNoPublish, boolean noImage, boolean isFrontPage, boolean noUTF8Coding){
        if(noUTF8Coding){
            try {
                titulo = URLEncoder.encode(titulo, "UTF-8");
                autor = URLEncoder.encode(autor, "UTF-8");
                imagen = URLEncoder.encode(imagen, "UTF-8");
                contenido = URLEncoder.encode(contenido, "UTF-8");
            } catch (UnsupportedEncodingException ex) {
                ex.printStackTrace();
            }
        }

        if(noImage)
            imagen = "";
        
        String content =    "title="+titulo+"&" +
                            "state=" + (isNoPublish ? "0" : "1") + "&" +
                            "alias=" + titulo + "&" +
                            "frontpage=" + (isFrontPage ? "1" : "0") + "&" +
                            "sectionid=" + (sid == -1 ? 1 : sid) + "&" +
                            "catid=" + (cid == -1 ? 1 : cid) + "&" +
                            "text=" + imagen + contenido + "&" +
                            "details%5Bcreated_by%5D=72&" +
                            "details%5Bcreated_by_alias%5D=" + autor + "&" +
                            "details%5Baccess%5D=0&" +
                            "details%5Bcreated%5D="+date+"&" +
                            "details%5Bpublish_up%5D="+date+"&" +
                            "details%5Bpublish_down%5D=Nunca&" +
                            "params%5Bshow_title%5D=&" +
                            "params%5Blink_titles%5D=&" +
                            "params%5Bshow_intro%5D=&" +
                            "params%5Bshow_section%5D=&" +
                            "params%5Blink_section%5D=&" +
                            "params%5Bshow_category%5D=&" +
                            "params%5Blink_category%5D=&" +
                            "params%5Bshow_vote%5D=&" +
                            "params%5Bshow_author%5D=&" +
                            "params%5Bshow_create_date%5D=&" +
                            "params%5Bshow_modify_date%5D=&" +
                            "params%5Bshow_pdf_icon%5D=&" +
                            "params%5Bshow_print_icon%5D=&" +
                            "params%5Bshow_email_icon%5D=&" +
                            "params%5Blanguage%5D=&" +
                            "params%5Bkeyref%5D=&" +
                            "params%5Breadmore%5D=&" +
                            "meta%5Bdescription%5D=&" +
                            "meta%5Bkeywords%5D=&" +
                            "meta%5Brobots%5D=&" +
                            "meta%5Bauthor%5D=&" +
                            "id=&" +
                            "cid%5B%5D=&" +
                            "version=0&" +
                            "mask=0&" +
                            "option=com_content&" +
                            "task=save&" + this.curMD5 + "=1";
        
        try{
            Socket s = new Socket(host, 80);
            BufferedWriter wr = new BufferedWriter(new OutputStreamWriter(s.getOutputStream()));
            wr.write("POST /administrator/index.php HTTP/1.1\r\n");
            wr.write("Host: " + this.host + "\r\n");
            wr.write("Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8\r\n");
            wr.write("Cookie: " + this.curCookies + " \r\n");
            wr.write("Referer: " + this.url + "administrator/index.php?option=com_content\r\n");
            wr.write("Content-Type: application/x-www-form-urlencoded\r\n");
            wr.write("Content-Length: " + content.length() + "\r\n");
            wr.write("Connection: close\r\n");
            wr.write("\r\n");
            wr.write(content);
            wr.flush();
            BufferedReader br = new BufferedReader(new InputStreamReader(s.getInputStream()));
            String linea = "", html = "";
            while((linea = br.readLine()) != null){
                html += linea + "\n";
            }
            System.out.println(html);
            this.curCookies = getCookie(html);
            wr.close();
            br.close();
        }catch(IOException ioe){
            ioe.printStackTrace();
        }

    }

    public void insertContent(String url, boolean isPublish, boolean noImage, boolean isFrontPage){

    }

    private String getMD5(String html){
        String tag_i = "hidden\" name=\"";
        String tag_e = "\" value=\"1\"";
        int md5_i = html.lastIndexOf(tag_i);
        if(md5_i == -1)
            return "";
        md5_i += tag_i.length();
        int md5_f = html.indexOf("\" value=\"1\"", md5_i);
        return html.substring(md5_i, md5_f);
    }

    private String getLocation(String html){
        String tag_i = "Location:";
        String tag_e = "\n";
        int loc_i = html.indexOf(tag_i);
        if(loc_i == -1 )
            return "";
        loc_i += tag_i.length();
        int loc_e = html.indexOf(tag_e, loc_i);
        String location = html.substring(loc_i, loc_e).trim();
        return  location;
    }

    private String getCookie(String html){
        String cookietag_i = "Set-Cookie:";
        String cookietag_e = "\n";
        int cookie_i = html.indexOf(cookietag_i);
        if(cookie_i == -1)
            return "";
        cookie_i += cookietag_i.length();
        int cookie_e = html.indexOf(cookietag_e, cookie_i);
        String cookie = html.substring(cookie_i, cookie_e).trim();
        return  cookie;
    }

    public static void main(String args[]){
        Joomla j = new Joomla("http://informerojo.com", "", "" );
        j.login();
        j.insertContent("titulo", "AUTOR", "IMAGEN", "CONTENIDO","2012-05-14", 1, 1, false, true, false, false);
        j.logout();
    }
}
