/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package uploadartgui;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import javax.swing.SwingWorker;

/**
 *
 * @author soporte
 */
public class ProcessArticleTask extends SwingWorker{

    String cmd = "";
    UploadArtGUIView parent;

    public ProcessArticleTask(UploadArtGUIView parent){
        this.parent = parent;
    }

    public void setCommand(String command){
        cmd = command;
    }

    @Override
    protected Void doInBackground() throws Exception {
        // Este método permite subir la información al website,
        // es el que lanza un proceso separado para subir la info
        System.out.println("En doInBackground method");
        if(cmd.equals("")){
            throw new Exception("Falta especificar comando");
        }

        Runtime r = Runtime.getRuntime();
        try{
            Process p = r.exec(cmd);
            BufferedReader brStdOut = new BufferedReader(new InputStreamReader(p.getInputStream()));
            BufferedReader brStdErr = new BufferedReader(new InputStreamReader(p.getErrorStream()));
            String str = null;

            while( (str = brStdOut.readLine()) != null){
                System.out.println(str);
                System.out.println("Subiendo info...");
            }
            brStdOut.close();
            brStdErr.close();
            
        }catch(IOException ioe){
            System.err.println(ioe.getMessage());
        }
        parent.updateCountThread(-1);
        System.out.println("Saliendo de doInBackground method");
        return null;
    }

}
