/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package uploadartgui.filtros;

import java.util.Vector;

/**
 *
 * @author Mussio Jair Cárdenas Palomo
 *
 */
public class Filter {

    public final static String TITULO = "titulo";
	public final static String AUTOR = "autor";
	public final static String IMAGEN = "imagen";
	public final static String CONTENIDO = "contenido";

	private String url;
	private Vector tags;

	public Filter(String url){
		this.url = url;
		tags = new Vector();
	}

        public String getURL(){
            return this.url;
        }

	public void setKey(String optname, String init, String step, String end, String alt){
		tags.add(new Key(optname, init, step, end, alt));
	}

	public Key get(String opt){

		for(int i = 0 ; i < tags.size() ; i ++){
			Key k = (Key)tags.elementAt(i);

			if(k.name.equals(opt)){
				return k;
			}
		}
		return null;
	}

	public String toString(){

		String cad = "URL: " + this.url;
		cad += ", KEY: [" + get(TITULO).name +","+get(TITULO).init+","+get(TITULO).step + "," + get(TITULO).end + "]";
		cad += ", KEY: [" + get(AUTOR).name +","+get(AUTOR).init+","+get(AUTOR).step + "," + get(AUTOR).end + "]";
		cad += ", KEY: [" + get(IMAGEN).name +","+get(IMAGEN).init+","+get(IMAGEN).step + "," + get(IMAGEN).end + "]";
		cad += ", KEY: [" + get(CONTENIDO).name +","+get(CONTENIDO).init + "," + get(CONTENIDO).step + "," + get(CONTENIDO).end + "]";
		return cad;
	}
}
